Subject: bug#78855: [PATCH] Expand DIR arg on `package-vc-install-from-checkout'

From: Philip Kaludercic <[email-masked]>
Date: Mon, 30 Jun 2025 21:30:10 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Mon, 30 Jun 2025 14:46:40 +0000
>> 
>> I remain unconvinced that two local file expansions would be that
>> computationally intensive, but I adjusted the patch nevertheless to
>> hopefully address the issue and reduce the number of file expansions.
>> The main difference is that the command now takes an explicit argument
>> to indicate interactive invocations, which I find preferable to the
>> `called-interactively-p'-approach.  Would appreciate comments:
>
> Thanks, LGTM, but I suggest a slight rewording of the doc string:
>
>    "Install the package NAME from its source directory DIR.
>  NAME defaults to the base name of DIR.  Interactively, prompt the user
>  for DIR, which should be a directory under version control, typically
>  one created by `package-vc-checkout'.  If invoked interactively with a
>  prefix argument, prompt the user for the NAME of the package to set up.
>  If the optional argument INTERACTIVE is non-nil (as happens
>  interactively), DIR must be an absolute file name."

Will change that.  Just want to know what Roi thinks of the change, and
if I should commit it under my or their name?